# can't use constant as it gets redeclared when the require is done and so causes a warning
@lang_file_name="split"
@continuation_command=nil

def process_message message, verbose=false
	if verbose
		puts "Using language file "+@lang_file_name
		puts "Processing message: " + message
	end

	if /^\-split ([^ ]*)$/.match(message)
	puts "in regexp"
		command=$1.strip

		if verbose
			puts "command: " + $1
		end
		case command
			when "get"
				if verbose
					puts "Continued get command, waiting for URL"
				end
				@continuation_command = "get";
			else
				puts "Unknown command"
		end
	end

	if /^-url (.*)$/.match(message)
		url = $1.strip

		case @continuation_command
			when "get"
				if verbose
					puts "Continueing on get command"
				end
				if url!=""
					url="http://tinyurl.com/"+url
					if verbose
						puts "getting file - " + url
					end
					system("wget", url)
				end
		end
		@continuation_command = nil
	end
				
end
